<!DOCTYPE HTML>
<!--
	Alpha by HTML5 UP
	html5up.net | @n33co
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
<head>
		<?php

		include('header.php');

?>
		<title>Praxis Creutzburg - Corona Termin Löschung</title>
		<link rel="stylesheet" href="css/formulare.css" />
	</head>
	<body >

		<!-- Header -->
		<header id="header" class="../skel-layers-fixed">
				

	<?php

    include('menu.php');
	include_once("inc/config.inc.php");
	include_once("inc/functions.inc.php");
	include_once('inc/functions.impfen.inc.php');
	include_once('inc/functions.formulare.inc.php');
	
?>			
	</header>

		<!-- Main -->
			<section id="main" class="container">
				<header>
						<img src="gif/logo-arzt-creutzburg-coppen.gif" align="left" alt="Praxis Logo Creutzburg, Facharzt für innere Medizin, Schloßstr. 18, 31863 Coppenbrügge, Sprechzeit 8-11:00 Uhr, Tel. 05156 8125" />
				<h2>Impftermin online anfordern</h2>
					

				
				</header>
				
				<div class="row">
					<div class="12u">
						
						<!-- Form -->
							<section class="box">
								
			
	<?php

//echo $_GET["aktion"];
if(isset($_GET["aktion"])) {
	if( $_GET["aktion"] == "AufrufzurLoeschung"){


		$today = date("Y-m-d");
		$yesterday = Date('Y-m-d', strtotime('-1 day'));
		$yesteryesterday = Date('Y-m-d', strtotime('-2 days'));
		$querytermin = mysqli_query($con, "SELECT * FROM impftermin INNER JOIN timeslots  ON impftermin.timeid = timeslots.timeid WHERE date_created <= '". $yesteryesterday . "' AND checked = '0'");
		while ($rowtermin = $querytermin->fetch_assoc()) {
			$terminid = $rowtermin["terminid"];
			$hash = $rowtermin["hash"];
			$userid = $rowtermin["userid"];
			$timeid = $rowtermin["timeid"];
			$query = mysqli_query($con, "SELECT * FROM user WHERE userid ='". $userid . "'");
			$row = $query->fetch_assoc();
			$vorname = $row["vorname"];
			$nachname = $row["nachname"];
			$jahrgang = $row["jahrgang"];
			$mail = $row["mail"];
			$tele = $row["tele"];
							
			echo "Löschen Id $terminid <br>";
			
			$datum = date("d.m.Y", strtotime($row["date"]));
			$start = substr($row["start"],0, 5);
			$ende = substr($row["ende"],0, 5);
			$Zeitanzeige = $datum . " " . $start. " - " . $ende;			
			$queryloeschen = mysqli_query($con, "Update impftermin SET checked='5' WHERE terminid = '". $terminid . "' ");

			// Impfdosen um einen erhöhen
			$query = mysqli_query($con, "Select impfdosen FROM timeslots WHERE timeid='".$timeid."'");
			$row = mysqli_fetch_assoc($query);
			$dosen = $row["impfdosen"] + 1;
			$query = mysqli_query($con, "Update timeslots SET impfdosen='".$dosen ."' WHERE  timeid ='".$timeid."'");
			
			if($queryloeschen){
				
				/*
				$dosen = $rowtermin["impfdosen"];
				$dosen = $dosen + 1;
				$query = mysqli_query($con, "Update timeslots SET impfdosen='".$dosen."' WHERE timeid ='".$timeid."'");
		
				$nachricht = "<meta http-equiv='Content-Type'  content='text/html charset=UTF-8' />
					Sehr geehrte(r) Herr/Frau $nachname,<br><br>
					
					Ihre ausgewählter Impftermin wurde storniert, da Sie diesen nicht innerhalb von 24 Stunden bestätigt haben.<br>
					Termin: $Zeitanzeige<br>
					<br>
					Benötigen Sie einen neuen Termin, müssen Sie das Formular erneut ausfüllen.<br>

					<h4>Bitte rufen Sie uns nicht wegen Impfterminen an! </h4>
					
					<br>Vielen Dank für <b>Ihre Mithilfe</b>!<br>
					<br>
					Ihr Praxis-Team<br>
					der Praxis Creutzburg<br>


					
					";
				$nachricht = iconv('UTF-8', 'CP1252//IGNORE', $nachricht);

				//echo $nachricht;

				echo "<h3>Nachricht abgeschickt!</h3>	";
				$betreff = 'Impftermin-Anfrage bei Praxis Creuzburg';
				
				SendMailMessage($con, $mail, $betreff, $nachricht);
				*/
				SendMailMessageVorlage($pdo, "1", $terminid, "30");
				
			}
				
			
		}


	}
}

		?>
			
									
						
								
			<a href="impfanmeldung.php" class="button">Impftermin sichern</a>
	<br><br>		
		Bedenken Sie bitte, dass wir einmal im Quartal Ihre Chipkarte benötigen. Ohne Chipkarte sind seit 1.1.2016 keine Kassendienstleistungen mehr möglich.<br>	
		Elektronische Nachrichten können von Dritten gelesen werden. Bei Bedenken nutzen Sie unsere Rezepthotline für alle Serviceleistungen: 05156 99 03 77										


									</div>
											
										</div>
									</form>
								
									<hr />
									
								
						</div>
					</div>
				</section>
			<?php

		include_once('footer.php');

	?>
				
		

	</body>
</html>